Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12031

Description

If I add an image to a map composer, the icon remains pressed, and nothing happens until I click on the page. If I try to add a directory of

images (containing also othe files, QGIS crashes:

Warning: Cannot read file '/home/paolo/Desktop/Dati/vari/fagiani.csv', because: Start tag expected. (line 1)

Warning: Cannot read file '/home/paolo/Desktop/Dati/vari/Faunalia.png', because: Encountered incorrectly encoded content. (line 1)

Warning: Cannot read file '/home/paolo/Desktop/Dati/vari/fix.txt', because: Start tag expected. (line 1)

Warning: Cannot read file '/home/paolo/Desktop/Dati/vari/fix_shape.dbf', because: Encountered incorrectly encoded content. (line 1)

Warning: Cannot read file '/home/paolo/Desktop/Dati/vari/fix_shape.shp', because: Encountered incorrectly encoded content. (line 1)

Warning: Cannot read file '/home/paolo/Desktop/Dati/vari/fix_shape.shx', because: Encountered incorrectly encoded content. (line 1)

Segmentation fault

History

#1 - 2009-10-03 12:16 AM - Paolo Cavallini

Furthermore, adding a valid path does not persiste across images (if I add a second image, I have to add my path again)

#2 - 2009-10-07 05:52 AM - Marco Hugentobler

If I add an image to a map composer, the icon remains pressed, and nothing happens until I click on the page

Yes, this is the same behaviour as with the other tools (add scalebar, legend, composer map, label).

If I try to add a directory of images (containing also othe files, QGIS crashes:

Hm, this does not happen for me here (also if other files are in the directory). Maybe it only happens with certain types of file? The composer uses two qt

classes (QSvgRenderer and QImageReader) to test if the files are valid as composer pictures

Furthermore, adding a valid path does not persiste across images (if I add a second image, I >have to add my path again)

But if you press the file selection button, the path should be stored for the file dialog

#3 - 2009-10-10 12:49 AM - Giovanni Manghi
All replicable here, on qgis 1.3 from repository and Ubuntu 9.04.

#4 - 2009-11-29 05:33 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

I believe that all this issues are gone already. Just tested trunk under both linux and windows xp. Please reopen if necessary.
